[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / RecordBatchIterator

# Function: RecordBatchIterator()

```ts
function RecordBatchIterator(promisedInner): AsyncGenerator<RecordBatch<any>, void, unknown>
```

## Parameters

* **promisedInner**: `Promise`&lt;`RecordBatchIterator`&gt;

## Returns

`AsyncGenerator`&lt;`RecordBatch`&lt;`any`&gt;, `void`, `unknown`&gt;
